/*
 * Copyright (c) 2009 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _VELODYNE_PRIVATE_H
#define _VELODYNE_PRIVATE_H

/*
 * Calibration data structure for one laser
 */
struct VELODYNE_CALIBRATION {
	double rotCorrection;
	double vertCorrection;
	int distCorrection;
	double vertOffsetCorrection;
	double horizOffsetCorrection;
};

/*
 * Prototypes
 */

/* file .c */ 
extern int velodyne_pcap_file_open(char *, void *);
extern void velodyne_close_pcap(void *pcap);
extern int velodyne_pcap_read_packet(void *, VELODYNE_PACKET_STR *);

/* udp.c */
extern int velodyne_setup_socket(void);
extern void velodyne_close_socket(int);
extern int velodyne_udp_rcv(int, VELODYNE_PACKET_STR *, int);


#endif
